using Blueprinter.Presentation;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Blueprinter
{
    public partial class ViewMain : Form, IViewMain
    {
        private IViewMainPresenter _presenter;
        public IViewMainPresenter Presenter
        {
            get { return _presenter; }
            set
            {
                if (_presenter == null)
                {
                    _presenter = value;
                }
            }
        }

        public ViewMain()
        {
            InitializeComponent();
        }

        private void blueprintManagerToolStripMenuItem_Click(object sender, EventArgs e)
        {
            _presenter.RunBlueprintManager();
        }

        public void Run()
        {
            
        }
    }
}
